Bug 1266447 - [origin_devexp_658]Need update 'oc secerts new-basicauth' help doc
[origin_devexp_658]Need update 'oc secerts new-basicauth' help doc
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Jakub Hadvig
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 06:27 EDT by XiuJuan Wang
Modified: 2015-11-23 16:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:14:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description XiuJuan Wang 2015-09-25 06:27:42 EDT
Description of problem:
$oc secrets new-basicauth -h
Usage:
  oc secrets new-basicauth SECRET_NAME --username=USERNAME --password=PASSWORD [--ca-cert=FILENAME --gitconfig=FILENAME] [options]

It's better that 'oc secrets new-basicauth SECRET_NAME --username=USERNAME --password=PASSWORD [--ca-cert=FILENAME] [--gitconfig=FILENAME] [options]'

It's better to keep 'SECRET' consistency in "oc secrets new-basicauth SECRET_NAME -username=USERNAME --password=PASSWORD [--ca-cert=FILENAME --gitconfig=FILENAME] [options]"  and "oc secrets new-basicauth SECRET --username=USERNAME --password=PASSWORD"

Version-Release number of selected component (if applicable):
devenv-fedora_2396

How reproducible:
always

Steps to Reproduce:
1.As description part.
2.
3.

Actual results:


Expected results:
Should update 'oc secerts new-basicauth' help doc

Additional info:
Comment 1 openshift-github-bot 2015-09-29 11:53:34 EDT
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/44164be68f35ef49fd5f14ac5d27a2321e61da7d
Bug: 1266442 1266447
Comment 2 Wenjing Zheng 2015-09-29 22:59:46 EDT
Verified on devenv-fedora_2426.
Usage:
  oc secrets new-basicauth SECRET --username=USERNAME --password=PASSWORD [--ca-cert=FILENAME] [--gitconfig=FILENAME] [options]

Note You need to log in before you can comment on or make changes to this bug.